Issue 69830 - Opening .tsv files in calc
Opening .tsv files in calc
Status: CONFIRMED
Product: Calc
Classification: Application
Component: open-import
OOo 2.0.2
All All
: P3 trivial with 26 votes (vote)
: ---
Assigned To: AOO issues mailing list
:
: 95959 (view as issue list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 11:13 UTC by ottodv
Modified: 2013-11-21 14:58 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ottodv 2006-09-25 11:13:46 UTC
I have an application which generates tab delimited files with a .tsv extension.
Whenever I try to open such a file (even from calc) it opens in writer, but I
want it to open in calc.

I can't force OOo to open the file in calc, so I currently use a workaround
which requires me to perform 2 steps which I would like to skip:
- rename the file from .tsv to .csv
- select tab as the delimiter when opening the file (default is comma - as it
should be for .csv files)

My request for enhancement is that I want to be able to double click on the .tsv
file and have it open in calc with tab set as the default delimiter so that I
just have to click ok. 

Although others have reported the same problem (many on the forum) I could not
find another open issue for this request, neither was I able to re-open the
closed issue (which was entered as a defect rather than an RFE). I also believe
this RFE should apply to all versions of OOo.

References:
http://www.oooforum.org/forum/viewtopic.phtml?p=175515
http://www.openoffice.org/issues/show_bug.cgi?id=42694 (closed issue)
Comment 1 frank 2006-09-25 12:38:31 UTC
Hi,

if you open the file via File-Open, select the Text-CSV Filter and it should
work as you've found out. If you use Insert-Sheet from File, select the file and
click Ok The importer should have Tab selected as delimiter. 

This is not possible for File-Open as this dialog has to deal with all kinds of
documents.

So I think this is a double to Issue 42694 and therefore should be closed. But
let's requirements decide.

Frank
Comment 2 ottodv 2006-09-25 12:53:12 UTC
Issue 42694 was for a defect, which it isn't because this feature is not
implemented currently.

The current issue is a request for an enhancement, in other words I request that
this feature be added to OOo. I also request that this issue not be closed
unless a) it can be shown that this feature would violate some standard and it
would be wrong to open .tsv in calc instead of writer or b) the feature is
implemented.
Comment 3 terrynorth 2006-09-25 13:16:53 UTC
I can confirm from following forum threads and enquiries in the users' list that
requests for a straightforward way to open such files arise frequently.

The present procedure is especially problematic for users who are required to
open many such files.  It may seem like a small matter to those of us who are
not in that position but, particularly in a commercial environment, the present
procedure can be an unacceptable time waster.

It requires that the user have the choice of associating the file with the
application to be used and OpenOffice honouring that association.
Comment 4 edwardotis 2006-10-02 00:27:18 UTC
"if you open the file via File-Open, select the Text-CSV Filter and it should
work as you've found out."

In reference to this comment, in OO 2.03, this workaround does not work. No file
with extension .tsv will show up when you try that workaround, and thus no .tsv
file can be opened in this manner. 
Comment 5 frank 2006-10-02 07:57:18 UTC
Hi,

so you have to first select the file and than set the filter type, not that
complicated I think.

Frank
Comment 6 ottodv 2006-10-02 14:50:22 UTC
Well actually it seems to be non-intuitive, if one selects Text CSV for file
types shown in the open file dialog .tsv files will not show. You'd expect a
list all the file types which could potentialy be of the Text CSV type. Hence
the confusion.

But at least with the work around explained by Frank, tab is automatically
selected as the default delimiter, so there is some kind of support for .tsv
files (also if I rename the same file to .csv it selects comma by default, so
it's not based on file content but file name).

If we could just have .tsv files open directly in calc instead of writer it
would be perfect...
Comment 7 cfzlp 2006-10-03 11:37:14 UTC
I don't think this should be considered an issue of opening just .tsv files and
associating them with a specific OOo application. There should be a way of
opening a file in an OOo application of my choosing, whether I want to open an
.xls file in Writer or a .zip in Calc.

I am pretty satisfied with the default behaviour, OOo does a good job guessing
what I want most of the time. Very good indeed. But users should be able to tell
the software they want to open a file in a specific application, regardless of
the file type.

Why should the software stop me from doing this? Software should only stop me
from doing dangerous things, like wiping the hard drive, which clearly is not
the case.
Comment 8 thimk 2006-10-03 16:19:02 UTC
I heartily agree with Additional comments from cfzlp Tue Oct 3 03:37:14 -0700
2006 . My own posts show that I believe computers and programs should be
SERVANTS of the user, not disciplinarian or master, in stark contrast to views
of Bill Gates.
Design smart defaults, but let knowledgeable user override them, because NO
programmer can anticipate every intent or need. (That's why computers have not
yet replaced all people.)
Comment 9 mfx 2006-11-01 12:49:59 UTC
I observe the same problem when opening a tab-delimited file that has the ".xls"
suffix -- it opens up as a text document, never even asking me for the format.

I get the "ascii filter option" modal dialog, after which the file is opened as
a Writer document. This is IMHO wrong.
Comment 10 sbourlan 2006-11-09 14:22:41 UTC
Sorry for being new to the forum and already voicing an opinion, but last night
I was struggling with this issue and thinking there should be a "Force Open"
option in addition to the standard "Open" button.  This option would force which
ever module opened the "File Open" dialogue to open the file (or at least make
an attempt, it may then fail if the user has selection something that just
totally doesn't make sense).  From the (very limited) reading I have done, I
think this will address most of the concerns that have been voiced.
Comment 11 markaclark 2007-01-18 19:18:16 UTC
This problem is a show stopper that prevents me and my coworkers from even 
using Open Office.  We have many tab delimited report files that we need to 
open in Calc simply by double clicking on the file through the Windows file 
manager.  I need to associate the ".tab" file type in the Windows file manager 
to open the file in Calc.  Instead, the file opens in Writer.  No disrespect 
to the OO developers, but this shouldn't be considered an enhancement, but 
rather a bug.  If it's not opening the application that I explicitly request, 
that's a bug.  In fact, Calc should be intelligent enough to identify which 
delimiter is being used without even prompting the user (at least for common 
delimiters such as commas (.csv) and tabs (.tab and .tsv)).  Only in cases 
where the delimiter can't be identified, then the user should be prompted.

Another concern is how consistently the OO developers downplay the importance 
of this issue.  There are so many threads of users dealing with this same 
issue, it should just be fixed.  Please don't sentence us to a future with 
MicroSoft!




Comment 12 edwardotis 2007-01-18 20:00:52 UTC
I would like to add a comment for OO developers.

If a feature 'just works right' in MS Office, then you better make sure the
exact same feature 'just works right' for a new user trying to switch from MS
Office to Open Office.

Another way of putting this was expressed by Joel, of Joel on Software:
"Something is usable if it behaves exactly as expected."
http://www.joelonsoftware.com/design/1stDraft/03.html

Now, it is a fact that most Open Office end users are already familiar with an
MS Office user interface. So, when they try out Open Office, they will first try
to perform a given task using their knowledge from MS Office. When Open Office
diverges from the well known MS Office user interface, users will be frustrated
because Open Office didn't behave as expected. 

The .tsv problem is a good example. The feature 'just works right' in MS Office,
and it does not 'just work right' in Open Office...yet.

Comment 13 ottodv 2007-02-02 00:02:35 UTC
In OOo version 2.0.4 on Linux, am I now able (in Nautilus) to associate files
with the extension .tsv and actually have them open in calc! It even selects the
tab delimiter by default. OOo apparently no longer redirects the open request to
the writer. That's great but...

However if I try to open a .tsv file from calc, it opens it in writer after all!
If I select "spreadsheets", .tsv files do not show either. The work around with
file type still works however.

A step in the right direction, but the problem is not entirely resolved.
Comment 14 fsaravia65 2007-11-01 02:58:14 UTC
fst mentioned: "so you have to first select the file and than set the filter
type, not that complicated I think." It is more complicated than most of my
users are able to do. 

   You must first open calc, select the file and then pull the rigt filter from
a drop sown list of over 60 items. You must alse remeber the order of the steps
( Ok: two steps ) but if you set the filter first and try to select the file
second it will not work.

   It is completely counterintuitive. 

   I don´t know which anoys me most. Either the fact that I asociate the TSV
extension with CALC and OpenOffice will disregard my orders, or that the EASIEST
work around is to open it in Microsoft Excel.
Comment 15 ottodv 2008-06-30 00:45:23 UTC
The problem I reported is no longer occurring for me. I recently did a clean
install of Fedora 9, which includes OpenOffice.org 2.4.1. Double clicking on a
.tsv file now automatically opens it in calc with the proper dialog.

Can it be confirmed that this issue has been resolved?
Comment 16 fsaravia65 2008-09-01 18:15:17 UTC
THIS HAD BEEN FIXED BEFORE!

As of version 2.3 this had been fixed. My company has a system thet generates
Tab-separated files but names them .txt. I could right click on the link, tell
it to open in calc, and I would get the import dialog. To me this was a fix from
older verions that opened it in Writer even if I asked for Calc.

The problem REAPEARED in the beta for 3.0 ( build 9328 )

I use this a lot. I will probably not upgrade my users.
 
Comment 17 zhangweiwu 2008-11-07 12:55:41 UTC
The TSV file format definition is very simple:
http://www.iana.org/assignments/media-types/text/tab-separated-values

TSV has a particular advantage over CSV, which is simplicity. In my projects I
often find users who were supposed to manipulate data exported from other
systems are often confused with multiple options provided by CSV, e.g. text
delimiter, field delimiter.

gnumeric recognizes .tsv format and opens without asking user a single question
like the text delimiter (because there is none, tab-separated-values do not
distinguish text and digits) or field delimiter. This gives advantage for system
implementors like me to provide user with TSV format with the confidence user
will ask less questions to support team or mess up data by answered wrongly
about text delimiter. I think OOO should do alike.

Furthermore although TSV format did not specify what is the EOL, I recommend
always default to CRLF (despite OS difference) for two reasons:
1) more application accepts CRLF than CR or LF;
2) it provide the convenience that non-Windows users can process the TSV file
with text tools like AWK, using CRLF as record separator would let them accept
table cells that contain linebreak in either CR or LF.

It's not necessary to add TSV available in "Sheet from File" function because
those who use that function is probably aware of the delimiter concepts.
Comment 18 dtardon 2008-11-10 11:42:11 UTC
*** Issue 95959 has been marked as a duplicate of this issue. ***
Comment 19 smoesmoesmoe 2010-06-28 11:45:14 UTC
Hello, this problem still (or again) manifests in 3.2 .  I love tab-separated
files and have just renamed it from the default .csv . I consider the
information on the separator essential since one could otherwise run into some
ambiguity when attempting to open various files. Please rank this on up, it is
more of an issue than you apparently think.
Comment 20 mwgreaves 2011-06-27 21:30:30 UTC
Another disappointed Open Office user attempting to convince a developer (pretty sure one person could do this) to spend all of an hour on a very much needed fix:

if file has .tsv extension then open in calc with filter set to delimiter=tab

That's all. Can we, the beneficiaries of your hard work and time, please see this simple logic implemented?